# SPDX-License-Identifier: MIT
%global source_version 2.002
%global source_release 9
%global source_url     https://jetbrains.com/mono/

%global forge_url https://github.com/JetBrains/JetBrainsMono
%global forge_tag v%{source_version}

%global default_fonts_foundry      JetBrains
%global default_fonts_license      ASL 2.0
%global default_fonts_licenses     LICENSE
%global default_fonts_docs         *md
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global common_description %{expand:
The JetBrains Mono project publishes developer-oriented font families.

Their forms are simple and free from unnecessary details. Rendered in small
sizes, the text looks crisper. The easier the forms, the faster the eye
perceives them and the less effort the brain needs to process them.

The shape of ovals approaches that of rectangular symbols. This makes the whole
pattern of the text more clear-сut. The outer sides of ovals ensure there are
no additional obstacles for your eyes as they scan the text vertically.

Characters remain standard in width, but the height of the lowercase is
maximized. This approach keeps code lines to the length that developers expect,
and it helps improve rendering since each letter occupies more pixels.

They use a 9° italic angle; this maintains the optimal contrast to minimize
distraction and eye strain. The usual angle is about 11°–12°.}

%global fonts_family0             JetBrains Mono
%global fonts_summary0            A mono-space font family containing coding ligatures
%global fonts_tags0               %{expand:
Suggests:  font(jetbrainsmononl)
}
%global fonts_fonts0              ttf/*ttf ttf/Variable/*ttf
%global fonts_fonts_exclude0      %{fonts_fonts1}
%global fonts_experimental_confs0 60-%{fonts_name0}.xml
%global fonts_description0        %{expand:
%{?common_description}

The first font family published by the project, JetBrains Mono, includes coding
ligatures. They will enhance the rendering of source code but may be
problematic for other use cases.}

%global fonts_family1             JetBrains Mono NL
%global fonts_summary1            A mono-space coding font family
%global fonts_fonts1              ttf/No*ligatures/*ttf
%global fonts_experimental_confs1 58-%{fonts_name1}.xml
%global fonts_description1        %{expand:
%{?common_description}

The second font family published by the project, JetBrains Mono NL, is general
purpose and free of coding ligatures.}

%global fonts_meta_all0           true

%auto_init
%auto_pkg

%sourcelist
60-%{fonts_name0}.xml
58-%{fonts_name1}.xml
%auto_sources

%prep
%auto_prep
install -m 644 %{_sourcedir}/*xml .

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.0.4-5
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Wed Mar 11 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.0.4-3
✅ Addition of JetBrains Mono NL

* Mon Mar 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.0.3-3
✅ Lint, lint, lint and lint again

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.0.3-2
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.03-1
✅ Initial packaging
